/*
 * @Author: zc
 * @description 辅助功能-短信模板
 */
import request from '@/utils/request';
/**
 * @description 短信模板列表
 */
export const msgTemplateList = (params: object) => {
    return request({
        url: `/api/v1/TemplateDomain/getlist`,
        method: 'get',
        params,
    });
}
/**
 * @description 短信模板新增
 * @param {object} data
 */
export const msgTemplateAdd = (data: object) => {
    return request({
        url: `/api/v1/TemplateDomain/add`,
        method: 'put',
        data,
    });
}
/**
 * @description 短信模板修改
 * @param {object} data
 */
export const msgTemplateUpdate = (data: object) => {
    return request({
        url: `/api/v1/TemplateDomain/update`,
        method: 'put',
        data,
    });
}
/**
 * @description 短信模板详情
 * @param {string} id
 */
export const msgTemplateDetail = (id: string) => {
    return request({
        url: `/api/v1/TemplateDomain/info/${id}`,
        method: 'get',
    });
}